Description

Good morning,

I am now using wave 2 to construct some new variables in Stata12 for my research. This involves two variables: ethid4a (importance

of own religion) and pride4a (pride in own religion). If using tabulation, the stats in both variables seems fine. However, when using

cross-tab with other variables, most of the categories in the variable went missing (please find attached file for a screen shot).

I am actually quite new to both Stata and USoc. And I would like to know what might cause this and how I can fix the problem.

Thank you very much.

Yinxuan

History

#1 - 10/21/2013 10:52 AM - Redmine Admin

- Category set to Data documentation

- Status changed from New to In Progress

- % Done changed from 0 to 50

pride4a is routed partly on (EthId4a = 1|2), so only those responses would have been followed up with the pride4a question.

Pride4a. Pride in own religion

Source

UKHLS

Text

Do you feel proud of your religion?

Options

1 Yes

2 No

3 Neither yes or no

Use

Ask Pride4a

Modules

Module Ethnicidentity_w2. Ethnic Identity module

Universe

If (GRIDVARIABLES.ModeType = 1) // Mode is face-to-face

And If (ff_ivlolw = 1 & (GRIDVARIABLES.EMBoost = 1 | GRIDVARIABLES.GPCompare = 1 |

GRIDVARIABLES.LDA = 1 | GRIDVARIABLES.NEWIMM = 1)) // did a full interview last wave and is in the EMBoost sample, GP

Comparison sample or LDA sample or is a recent immigrant

And If (EthId4a = 1|2) // Own religion is very or fairly important to respondent's sense of who they are

Jakob

PS Apologies for taking so long to answer this request. The good news is that we will soon be able to release another wave's worth of data.

#2 - 10/28/2013 10:11 AM - Redmine Admin

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

#3 - 11/10/2015 02:35 PM - Gundi Knies

- Assignee set to Redmine Admin

- Target version set to M2
